<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>橘子林</title>
<style>
    body {
        margin: 0;
        padding: 0;
        background-image: url('OF.jpg');
        background-size: cover;
        background-position: center;
        height: 100vh;
        overflow: hidden;
        cursor: pointer;
        position: relative;
    }
    #staff {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        animation: zoom 10s infinite alternate;
    }
    @keyframes zoom {
        0% {
            transform: translate(-50%, -50%) scale(1);
        }
        100% {
            transform: translate(-50%, -50%) scale(1.1);
        }
    }
    .fallingImage {
        position: absolute;
        pointer-events: none;
    }
    .textContainer {
        position: fixed;
        top: 50%;
        right: 20px;
        transform: translateY(-50%);
        text-align: right;
        color: rgba(255, 255, 255, 0.8); /* 白色加粗文字，透明度 80% */
        font-size: 48px;
        line-height: 72px;
        font-weight: bold;
        text-shadow: 2px 2px 2px rgba(0, 0, 0, 0.2); /* 文字带有阴影 */
    }
</style>
</head>
<body>
<div id="staff">
    <img src="5L.png" alt="5L" width="2000px">
</div>
<div class="textContainer">
    <div id="line1">我</div>
    <div id="line2">在</div>
    <div id="line3">寂静的</div>
    <div id="line4">树林里</div>
    <div id="line5">沉睡</div>
</div>
<audio id="audioC">
    <source src="C.mp3" type="audio/mp3">
</audio>
<audio id="audioD">
    <source src="D.mp3" type="audio/mp3">
</audio>
<audio id="audioE">
    <source src="E.mp3" type="audio/mp3">
</audio>
<audio id="audioF">
    <source src="F.mp3" type="audio/mp3">
</audio>
<audio id="audioG">
    <source src="G.mp3" type="audio/mp3">
</audio>
<audio id="audioA">
    <source src="A.mp3" type="audio/mp3">
</audio>
<audio id="audioB">
    <source src="B.mp3" type="audio/mp3">
</audio>
<script>
    function playAudio(audioId) {
        var audio = document.getElementById(audioId);
        audio.currentTime = 0;
        audio.play();
    }

    function getRandomInt(min, max) {
        return Math.floor(Math.random() * (max - min + 1)) + min;
    }

    function getRandomImage() {
        var images = ['O1.png', 'O2.png', 'O3.png', 'O4.png', 'O5.png', 'O6.png', 'O7.png'];
        return images[getRandomInt(0, images.length - 1)];
    }

    function createFallingImage(x, y) {
        var image = document.createElement('img');
        var randomImage = getRandomImage();
        image.src = randomImage;
        image.classList.add('fallingImage');
        image.style.left = x + 'px';
        image.style.top = y + 'px';
        image.style.transition = 'top 4s linear';
        image.onclick = function() {
            this.parentNode.removeChild(this);
            playAudio('audio' + randomImage.slice(-5, -4));
        };
        document.body.appendChild(image);
        setTimeout(function() {
            image.style.top = window.innerHeight + 'px';
        }, 100);
    }

    document.addEventListener('click', function(event) {
        createFallingImage(event.clientX, event.clientY);
        updateText();
    });

    function updateText() {
        var line1 = document.getElementById('line1');
        var line3 = document.getElementById('line3');
        var line4 = document.getElementById('line4');
        var line5 = document.getElementById('line5');

        var random1 = ['风', '自由', '她', '渴望','脉搏'];
        var random3 = ['寂静的', '落寞的', '温暖的', '凝滞的', '崩塌的','无望的'];
        var random4 = ['树林里', '目光中', '水流中', '时间中', '血液里'];
        var random5 = ['沉睡', '吟唱', '安眠', '追忆', '呐喊', '堆砌','踌躇'];

        line1.textContent = random1[getRandomInt(0, random1.length - 1)];
        line3.textContent = random3[getRandomInt(0, random3.length - 1)];
        line4.textContent = random4[getRandomInt(0, random4.length - 1)];
        line5.textContent = random5[getRandomInt(0, random5.length - 1)];
    }
</script>
<a href="Biu.html">
    <img src="Point.png" alt="Point" style="position: absolute; top: 10px; left: 10px; width: 200px; height: 220px; cursor: pointer;">
</a >
</body>
</html>
 